Playbook Document Uploads
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstringOptional
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault:
trueResponses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
dateAddedstring · date-timeOptional
dateCompletedstring · date-time · nullableOptional
fileCountinteger · int32 · nullableOptional
403
Forbidden
get/playbooks/{playbookIdentifier}/document-uploads
GET /playbooks/{playbookIdentifier}/document-uploads HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"fileCount": 1
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
fileCountinteger · int32 · nullableOptional
Responses
201
Created
objectIdentifierstring · uuidRequired
namestring · nullableRequired
dateAddedstring · date-timeOptional
dateCompletedstring · date-time · nullableOptional
fileCountinteger · int32 · nullableOptional
400
Bad Request
403
Forbidden
post/playbooks/{playbookIdentifier}/document-uploads
POST /playbooks/{playbookIdentifier}/document-uploads HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29
{
"name": "text",
"fileCount": 1
}{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"fileCount": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
dateAddedstring · date-timeOptional
dateCompletedstring · date-time · nullableOptional
fileCountinteger · int32 · nullableOptional
403
Forbidden
404
Not Found
get/playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"fileCount": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
204
No Content
No content
403
Forbidden
404
Not Found
delete/playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
dateAddedstring · date-timeOptional
dateCompletedstring · date-time · nullableOptional
totalDocumentCountinteger · int32Optional
failedDocumentCountinteger · int32Optional
processingDocumentCountinteger · int32Optional
completedDocumentCountinteger · int32Optional
totalSizeBytesinteger · int64Optional
fileCountinteger · int32 · nullableOptional
403
Forbidden
404
Not Found
get/playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}/details
GET /playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}/details HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"totalDocumentCount": 1,
"failedDocumentCount": 1,
"processingDocumentCount": 1,
"completedDocumentCount": 1,
"totalSizeBytes": 1,
"fileCount": 1,
"failedReasonSummary": {
"outOfMemory": 1,
"unsupportedFileType": 1,
"badFile": 1,
"uploadFailure": 1,
"ocrPageLimitExceeded": 1,
"unknownException": 1,
"insufficientCredits": 1,
"maliciousFile": 1,
"fileScanTimedOut": 1
},
"fileTypeSummary": {
"ANY_ADDITIONAL_PROPERTY": 1
}
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
dateAddedstring · date-timeOptional
dateCompletedstring · date-time · nullableOptional
fileCountinteger · int32 · nullableOptional
403
Forbidden
404
Not Found
patch/playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}/complete
PATCH /playbooks/{playbookIdentifier}/document-uploads/{objectIdentifier}/complete HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateCompleted": "2026-01-01T00:00:00.000Z",
"fileCount": 1
}Last updated
